| Home | Libraries | People | FAQ | More

## Struct template push_void

boost::heap::skew_heap::push_void

## Synopsis

    // In header: <boost/heap/skew_heap.hpp>

    template<typename T, typename A0 = boost::parameter::void_,
             typename A1 = boost::parameter::void_,
             typename A2 = boost::parameter::void_,
             typename A3 = boost::parameter::void_,
             typename A4 = boost::parameter::void_,
             typename A5 = boost::parameter::void_,
             typename A6 = boost::parameter::void_>
    struct push_void {

      // public static functions
      static void push(skew_heap *, const_reference);
      template<class... Args> static void emplace(skew_heap *, Args &&...);
    };

## Description

### `push_void` public static functions

1.     static void push(skew_heap * self, const_reference v);

2.     template<class... Args> static void emplace(skew_heap * self, Args &&... args);